'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fileExtensions = require('../../file-extensions');

var _fileExtensions2 = _interopRequireDefault(_fileExtensions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  name: 'font',
  configure() {
    return {
      module: {
        rules: [{
          test: _fileExtensions2.default.test.WOFF,
          use: [{
            loader: 'file-loader',
            options: {
              name: '[name]-[hash].[ext]',
              mimetype: 'application/font-woff'
            }
          }]
        }, {
          test: _fileExtensions2.default.test.WOFF2,
          use: [{
            loader: 'file-loader',
            options: {
              name: '[name]-[hash].[ext]',
              mimetype: 'application/font-woff'
            }
          }]
        }, {
          test: _fileExtensions2.default.test.EOT,
          use: [{
            loader: 'file-loader',
            options: {
              name: '[name]-[hash].[ext]'
            }
          }]
        }, {
          test: _fileExtensions2.default.test.TTF,
          use: [{
            loader: 'file-loader',
            options: {
              name: '[name]-[hash].[ext]',
              mimetype: 'application/octet-stream'
            }
          }]
        }, {
          test: _fileExtensions2.default.test.OTF,
          use: [{
            loader: 'file-loader',
            options: {
              name: '[name]-[hash].[ext]'
            }
          }]
        }]
      }
    };
  }
};