'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpackMerge = require('webpack-merge');

var _webpackMerge2 = _interopRequireDefault(_webpackMerge);

var _font = require('./font');

var _font2 = _interopRequireDefault(_font);

var _html = require('./html');

var _html2 = _interopRequireDefault(_html);

var _image = require('./image');

var _image2 = _interopRequireDefault(_image);

var _javascript = require('./javascript');

var _javascript2 = _interopRequireDefault(_javascript);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

var _txt = require('./txt');

var _txt2 = _interopRequireDefault(_txt);

var _video = require('./video');

var _video2 = _interopRequireDefault(_video);

var _yaml = require('./yaml');

var _yaml2 = _interopRequireDefault(_yaml);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var loaders = [_font2.default, _html2.default, _image2.default, _javascript2.default, _style2.default, _txt2.default, _video2.default, _yaml2.default];

exports.default = function (saguiConfig) {
  var disableLoaders = saguiConfig.disableLoaders || [];

  return loaders.filter(function (loader) {
    return disableLoaders.indexOf(loader.name) === -1;
  }).reduce(function (webpackConfig, loader) {
    return _webpackMerge2.default.smart(webpackConfig, loader.configure(saguiConfig));
  }, {});
};