'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InvalidSaguiConfig = exports.SaguiPath = exports.MissingPackageJSON = undefined;

var _loadProjectSaguiConfig = require('./load-project-sagui-config');

Object.defineProperty(exports, 'MissingPackageJSON', {
  enumerable: true,
  get: function get() {
    return _loadProjectSaguiConfig.MissingPackageJSON;
  }
});
Object.defineProperty(exports, 'SaguiPath', {
  enumerable: true,
  get: function get() {
    return _loadProjectSaguiConfig.SaguiPath;
  }
});
Object.defineProperty(exports, 'InvalidSaguiConfig', {
  enumerable: true,
  get: function get() {
    return _loadProjectSaguiConfig.InvalidSaguiConfig;
  }
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

var _cli = require('./cli');

var _cli2 = _interopRequireDefault(_cli);

var _loadProjectSaguiConfig2 = _interopRequireDefault(_loadProjectSaguiConfig);

var _configureKarma = require('./configure-karma');

var _configureKarma2 = _interopRequireDefault(_configureKarma);

var _configureWebpack = require('./configure-webpack');

var _configureWebpack2 = _interopRequireDefault(_configureWebpack);

var _run = require('./run');

var _run2 = _interopRequireDefault(_run);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEFAULT_SAGUI_CONFIG = {
  port: 3000,
  browsers: ['> 1%', 'Last 2 versions', 'IE 10'],
  saguiPath: _path2.default.join(__dirname, '../'),
  optimize: false,
  coverage: false,
  pages: [],
  chunks: {
    vendor: false,
    common: true
  },
  disableLoaders: [],
  javaScript: {},
  additionalWebpackConfig: {},
  additionalKarmaConfig: {}

  /**
   * Sagui
   *
   * This function takes a single sagui config object,
   * prepare all the required Webpack / Karma configurations
   * and execute the requested action.
   */
};var sagui = function sagui() {
  var saguiConfig = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return new Promise(function (resolve, reject) {
    try {
      var finalSaguiConfig = (0, _lodash2.default)({}, DEFAULT_SAGUI_CONFIG, saguiConfig, (0, _loadProjectSaguiConfig2.default)(saguiConfig));
      var webpackConfig = (0, _configureWebpack2.default)(finalSaguiConfig);
      var karmaConfig = (0, _configureKarma2.default)(finalSaguiConfig, webpackConfig);

      (0, _run2.default)(finalSaguiConfig, webpackConfig, karmaConfig).then(resolve, reject);
    } catch (e) {
      reject(e);
    }
  });
};

/**
 * Command Line Interface
 */
sagui.cli = _cli2.default;

exports.default = sagui;