'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _prettier = require('prettier');

var _prettier2 = _interopRequireDefault(_prettier);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _log = require('../util/log');

var _javascriptEslintrc = require('../javascript-eslintrc.json');

var _javascriptEslintrc2 = _interopRequireDefault(_javascriptEslintrc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var getUserPrettierOptions = function getUserPrettierOptions(projectPath) {
  var projectEslintrcPath = _path2.default.join(projectPath, '.eslintrc');
  var eslintrc = JSON.parse(_fs2.default.readFileSync(projectEslintrcPath, 'utf8'));
  var prettierRulesKey = 'prettier/prettier';

  if (eslintrc.rules && Array.isArray(eslintrc.rules[prettierRulesKey]) && eslintrc.rules[prettierRulesKey][1]) {
    return _extends({}, eslintrc.rules[prettierRulesKey][1]);
  } else {
    return {};
  }
};

var prettierOptions = _javascriptEslintrc2.default.rules['prettier/prettier'][1];

exports.default = function (saguiConfig) {
  return new Promise(function (resolve, reject) {
    (0, _log.log)('Formatting files...');

    try {
      var files = [].concat(_toConsumableArray(_glob2.default.sync(_path2.default.join(saguiConfig.projectPath, 'sagui.config.js'))), _toConsumableArray(_glob2.default.sync(_path2.default.join(saguiConfig.projectPath, 'src/**/*.{js,jsx,es6}'))));

      var formatted = files.map(function (file) {
        var original = _fs2.default.readFileSync(file).toString();
        var formatted = _prettier2.default.format(original, _extends({}, prettierOptions, getUserPrettierOptions(saguiConfig.projectPath)));

        return [file, original, formatted];
      }).filter(function (_ref) {
        var _ref2 = _slicedToArray(_ref, 3),
            file = _ref2[0],
            original = _ref2[1],
            formatted = _ref2[2];

        var changed = original.indexOf(formatted);
        var color = changed ? _chalk2.default.green : _chalk2.default.dim;
        var relativePath = _path2.default.relative(saguiConfig.projectPath, file);

        console.log(color(relativePath));
        return changed;
      });

      formatted.forEach(function (_ref3) {
        var _ref4 = _slicedToArray(_ref3, 3),
            file = _ref4[0],
            original = _ref4[1],
            formatted = _ref4[2];

        return _fs2.default.writeFileSync(file, formatted);
      });

      (0, _log.log)(`Formatted ${formatted.length} files.`);

      resolve();
    } catch (error) {
      return reject(error);
    }
  });
};