'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('../actions');

var _actions2 = _interopRequireDefault(_actions);

var _build = require('./build');

var _build2 = _interopRequireDefault(_build);

var _developmentServer = require('./development-server');

var _developmentServer2 = _interopRequireDefault(_developmentServer);

var _update = require('./update');

var _update2 = _interopRequireDefault(_update);

var _lint = require('./lint');

var _lint2 = _interopRequireDefault(_lint);

var _test = require('./test');

var _test2 = _interopRequireDefault(_test);

var _typecheck = require('./typecheck');

var _typecheck2 = _interopRequireDefault(_typecheck);

var _format = require('./format');

var _format2 = _interopRequireDefault(_format);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (saguiConfig, webpackConfig, karmaConfig) {
  switch (saguiConfig.action) {
    case _actions2.default.FORMAT:
      return (0, _format2.default)(saguiConfig);

    case _actions2.default.BUILD:
      return (0, _build2.default)(saguiConfig, webpackConfig);

    case _actions2.default.DEVELOP:
      return (0, _developmentServer2.default)(saguiConfig, webpackConfig);

    case _actions2.default.UPDATE:
      return (0, _update2.default)(saguiConfig);

    case _actions2.default.TEST_LINT:
      return (0, _lint2.default)(saguiConfig);

    case _actions2.default.TEST_UNIT:
      return (0, _test2.default)(karmaConfig);

    case _actions2.default.TEST_TYPECHECK:
      return (0, _typecheck2.default)(saguiConfig);

    default:
      return Promise.reject(new Error('A valid action is required.'));
  }
};