'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _eslint = require('eslint');

var _eslint2 = _interopRequireDefault(_eslint);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _log = require('../util/log');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (saguiConfig) {
  return new Promise(function (resolve, reject) {
    var projectPath = saguiConfig.projectPath;


    var cli = new _eslint2.default.CLIEngine({
      cwd: projectPath,
      configFile: _path2.default.join(projectPath, '.eslintrc'),
      useEslintrc: false
    });

    var report = cli.executeOnFiles([projectPath]);
    var formatter = cli.getFormatter();

    if (report.errorCount > 0) {
      (0, _log.logError)('Lint failed:');
      console.log(formatter(report.results));
      reject(new Error('Lint failed'));
    } else {
      (0, _log.log)('Lint completed without errors.');
      resolve();
    }
  });
};