'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _packageJson = require('./package-json');

var _packageJson2 = _interopRequireDefault(_packageJson);

var _gitignore = require('./gitignore');

var _gitignore2 = _interopRequireDefault(_gitignore);

var _template = require('./template');

var _template2 = _interopRequireDefault(_template);

var _log = require('../../util/log');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Bootstrap and updates project structures
 */
exports.default = function (_ref) {
  var projectPath = _ref.projectPath;
  return new Promise(function (resolve, reject) {
    try {
      (0, _gitignore2.default)(projectPath);
      (0, _packageJson2.default)(projectPath);
      (0, _template2.default)(projectPath);
    } catch (e) {
      (0, _log.logError)('Failed to install Sagui files in the project.');
      reject(e);
    }

    resolve();
  });
};