'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logError = logError;
exports.logWarning = logWarning;
exports.log = log;
exports.logContent = logContent;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var errorStyle = _chalk2.default.bold.red;
var warningStyle = _chalk2.default.yellow;

function logError(entry) {
  console.log(sagui(), errorStyle(entry));
}

function logWarning(entry) {
  console.log(sagui(), warningStyle(entry));
}

function log(entry) {
  console.log(sagui(), entry);
}

function logContent(entry) {
  console.log(entry.split('\n').map(function (line) {
    return `${sagui()} ${line}`;
  }).join('\n'));
}

function sagui() {
  return process.platform === 'win32' ? 'Sagui -' : _chalk2.default.dim('🐵  Sagui');
}